%define real_name CGI-Builder-Session

Summary:	CGI::Builder and CGI::Session integration
Name:		perl-%{real_name}
Version:	1.26
Release:	%mkrel 1
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/D/DO/DOMIZIO/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-CGI
BuildRequires:	perl-CGI-Session
BuildRequires:	perl-CGI-Builder
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-OOTools
BuildRequires:	perl-IO-Util
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module transparently integrates CGI::Builder and CGI::Session in a very
handy and flexible framework that can save you some coding. It provides you a
mostly automatic and ready to use CGI::Session object (cs property) useful to
maintain the state of your application between requests. Please refer to
CGI::Session for more documentation about sessions.

%prep

%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/CGI/Builder/*
%{_mandir}/*/*


%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.26-1mdv2008.1
+ Revision: 136678
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 15 2007 Oden Eriksson <oeriksson@mandriva.com> 1.26-1mdv2008.0
+ Revision: 26918
- add more build deps
- add more build deps per Makefile.PL
- Import perl-CGI-Builder-Session



* Tue May 15 2007 Oden Eriksson <oeriksson@mandriva.com> 1.26-1mdv2007.1
- initial Mandriva package
